#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "LoadAsyncBankData.generated.h"

class UAkAudioBank;
class USoundBankLoader;

UCLASS(Blueprintable)
class DBDAUDIO_API ULoadAsyncBankData : public UObject
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	UAkAudioBank* Bank;

	UPROPERTY(BlueprintReadWrite, Transient)
	USoundBankLoader* SoundBankLoader;

public:
	ULoadAsyncBankData();
};

FORCEINLINE uint32 GetTypeHash(const ULoadAsyncBankData) { return 0; }
